        var V3D_targetCanvas;
        var V3D_targetWidth;
        var V3D_targetHeight;

        var V3D_camera;
		var V3D_scene;
		var V3D_renderer;

        var V3D_params;

        var V3D_sceneRotationX = 0;
        var V3D_sceneRotationY = 0;
        var V3D_sceneRotationZ = 0;



        function init() 
		{
            var camParams = V3D_params['camera'];
            V3D_camera = new THREE.PerspectiveCamera(camParams['fov'], camParams['aspect'], camParams['near'], camParams['far']);
            V3D_camera.position.x = camParams['px'];
            V3D_camera.position.y = camParams['py'];
            V3D_camera.position.z = camParams['pz'];

            V3D_scene = new THREE.Scene();
            V3D_scene.background = new THREE.Color(0xa0a0f0);


            for (var idx = 0; idx <V3D_params.GRP.length; idx++) {
				var vtx = V3D_params.GRP[idx].POS;
				var tri = V3D_params.GRP[idx].TRI;
				var mat = V3D_params.GRP[idx].MAT;

		  		var geom = new THREE.Geometry();

				for(var j=0; j<vtx.length; j+=3){
					var x = vtx[j];
					var y = vtx[j+1];
					var z = vtx[j+2];
					
					var v = new THREE.Vector3(x,y,z);
					geom.vertices.push(v);
				}

				for(var j=0; j<tri.length; j+=3){
					var vi1 = tri[j];
					var vi2 = tri[j+1];
					var vi3 = tri[j+2];
					
					var f = new THREE.Face3(vi1,vi2,vi3);
					geom.faces.push(f);
                }

                geom.computeBoundingSphere();
                geom.computeFaceNormals();


                //var geom = new THREE.CubeGeometry(100, 100, 100);

                var matColor = new THREE.Color(mat.R, mat.G, mat.B);
                var material = new THREE.MeshLambertMaterial({ color: matColor, overdraw: 0.5 });

				var mesh = new THREE.Mesh(geom, material);
	            V3D_scene.add(mesh);

            }

            var pointLight = new THREE.PointLight(0xdfdfdf, 1);
            pointLight.position.x = 1300;
            pointLight.position.y = 1300;
            pointLight.position.z = 1300;
            V3D_scene.add(pointLight);

            var ambientLight = new THREE.AmbientLight(0x3f3f3f, 0.5);
            V3D_scene.add(ambientLight);


            V3D_renderer = new THREE.CanvasRenderer({canvas : V3D_targetCanvas});

            //V3D_renderer.setPixelRatio(window.devicePixelRatio);
            V3D_renderer.setSize(V3D_targetWidth, V3D_targetHeight);
        }


        function render() 
		{
            V3D_scene.rotation.x = V3D_sceneRotationX;
            V3D_scene.rotation.y = V3D_sceneRotationY;
            V3D_scene.rotation.z = V3D_sceneRotationZ;
            V3D_renderer.render(V3D_scene, V3D_camera);
        }
