﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using ThreeJS.Utils;

namespace ThreeJS.Mesh
{
    public class Geometry3D
    {
        public List<Point3D> Positions = new List<Point3D>();
        public List<int> TriangleIndices = new List<int>();


        public void ToJSON(StringBuilder pJSON)
        {
            pJSON.Append("\"POS\":[");

            bool first = true;
            foreach (Point3D p in Positions)
            {
                if (!first)
                {
                    pJSON.Append(',');
                }
                first = false;
                p.ToJSON(pJSON);
            }
            pJSON.Append("], \"TRI\":[");
            first = true;
            foreach (int ti in TriangleIndices)
            {
                if (!first)
                {
                    pJSON.Append(',');
                }
                first = false;
                pJSON.Append(ti.ToString());
            }
            pJSON.Append("]");
        }
    }

    public class MeshGeometry3D : Geometry3D
    {
    }

}
